package com.bytedance.ies.nle.editor_jni;

import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;

public class NLERectF {
    public transient boolean LIZ;
    public transient long LIZIZ;

    static {
        Covode.recordClassIndex(29835);
    }

    public void finalize() {
        LJ();
    }

    public NLERectF() {
        this(NLEMediaJniJNI.new_NLERectF__SWIG_0());
        MethodCollector.i(6497);
        MethodCollector.o(6497);
    }

    public final float LIZ() {
        MethodCollector.i(2194);
        float NLERectF_left_get = NLEMediaJniJNI.NLERectF_left_get(this.LIZIZ, this);
        MethodCollector.o(2194);
        return NLERectF_left_get;
    }

    public final float LIZIZ() {
        MethodCollector.i(2310);
        float NLERectF_top_get = NLEMediaJniJNI.NLERectF_top_get(this.LIZIZ, this);
        MethodCollector.o(2310);
        return NLERectF_top_get;
    }

    public final float LIZJ() {
        MethodCollector.i(2316);
        float NLERectF_right_get = NLEMediaJniJNI.NLERectF_right_get(this.LIZIZ, this);
        MethodCollector.o(2316);
        return NLERectF_right_get;
    }

    public final float LIZLLL() {
        MethodCollector.i(2387);
        float NLERectF_bottom_get = NLEMediaJniJNI.NLERectF_bottom_get(this.LIZIZ, this);
        MethodCollector.o(2387);
        return NLERectF_bottom_get;
    }

    private synchronized void LJ() {
        MethodCollector.i(6328);
        long j = this.LIZIZ;
        if (j != 0) {
            if (this.LIZ) {
                this.LIZ = false;
                NLEMediaJniJNI.delete_NLERectF(j);
            }
            this.LIZIZ = 0;
        }
        MethodCollector.o(6328);
    }

    public NLERectF(long j) {
        this.LIZ = true;
        this.LIZIZ = j;
    }

    public final void LIZ(float f) {
        MethodCollector.i(6499);
        NLEMediaJniJNI.NLERectF_left_set(this.LIZIZ, this, f);
        MethodCollector.o(6499);
    }

    public final void LIZIZ(float f) {
        MethodCollector.i(2198);
        NLEMediaJniJNI.NLERectF_top_set(this.LIZIZ, this, f);
        MethodCollector.o(2198);
    }

    public final void LIZJ(float f) {
        MethodCollector.i(2314);
        NLEMediaJniJNI.NLERectF_right_set(this.LIZIZ, this, f);
        MethodCollector.o(2314);
    }

    public final void LIZLLL(float f) {
        MethodCollector.i(2384);
        NLEMediaJniJNI.NLERectF_bottom_set(this.LIZIZ, this, f);
        MethodCollector.o(2384);
    }
}
